Anonymous avatar Anonymous committed bfd6940

update ver in setup.py; some other fiddling

Comments (0)

Files changed (3)

 file sagetex.sty known to TeX; that file will be in
 SAGE_ROOT/local/share/texmf/tex/generic/sagetex, along with
 documentation and examples. See the Sage installation guide at
-http://sagemath.org/doc/installation/ for complete instructions.
+http://sagemath.org/doc/installation/ for complete instructions and
+http://sagemath.org/doc/tutorial/sagetex.html for a quick usage
+introduction. The complete documentation is in sagetexpackage.pdf, in
+the SAGE_ROOT/... directory mentioned above.
 
-If you can't or don't want to install SageTeX by using Sage, you can use
-the CTAN package. If sagetex.py and sagetex.sty haven't been extracted
-from the .dtx file, you'll need to do:
+If you want to extract any of SageTeX's files from the .dtx sources, you
+can do
 
   0. Run `latex sagetexpackage.ins'
 
-If a PDF file of the documentation wasn't included with this
-distribution of SageTeX, you will need to build the documentation
-yourself. To do that:
+To regenerate the documentation, do
 
   1. Run `latex sagetexpackage.dtx'
   2. Run `sage sagetexpackage.sage'
       long_description="""The SageTeX package allows you to embed code,
   results of computations, and plots from the Sage mathematics
   software suite (http://sagemath.org) into LaTeX documents.""",
-      version='2.2.3',
+      version='2.2.4',
       author='Dan Drake',
       author_email='ddrake@member.ams.org',
       url='http://mathsci.kaist.ac.kr/~drake',
 #!/bin/sh
 
 # this runs Sage on the generated .sage files to see if they work ok
-# this is basically the spkg-check file
+
+# typesetting the example file requires TikZ version 2.00, as well as
+# tkz-berge.sty and tkz-graph.sty.
 
 typeset()
 {
-    pdflatex -interaction=nonstopmode $1
+    latex -interaction=nonstopmode $1
     if [ $? -ne 0 ]
     then
-        echo "Error typesetting $1! You likely need to install TikZ"
-        echo "(version 2.00 or newer) to fully test SageTeX."
+        echo "Error typesetting $1! To fully test SageTeX, make sure"
+        echo "LaTeX can find sagetex.sty, and that TikZ (version 2.00"
+        echo "or newer), tkz-berge.sty and tkz-graph.sty are installed."
         exit 1
     fi
 }
     fi
 }
 
+latex -version
+if [ $? -ne 0 ]
+then
+    echo "LaTeX isn't installed (or isn't in \$PATH). Skipping test of SageTeX spkg."
+    exit 0
+fi
+
+kpsewhich tkz-berge.sty
+if [ $? -ne 0 ]
+then
+    echo "Could not find tkz-berge.sty. Skipping test of SageTeX spkg."
+    exit 0
+fi
+
 typeset example.tex
 checkdotsage example
 
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.